aboutsummaryrefslogtreecommitdiff
path: root/system/xcdroast/xcdroast.SlackBuild
diff options
context:
space:
mode:
authorGeorgios Efstathiou <gefst@yahoo.com>2010-05-13 00:42:29 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-13 00:42:29 +0200
commit8785caf4ea0abd9431c6a740f8f2cdb5912f21db (patch)
treee17cb22672c620d1913123479d69b87600f51b81 /system/xcdroast/xcdroast.SlackBuild
parentb18aee06caa83172b46cdd3f0fcce7cf4c21e588 (diff)
downloadslackbuilds-8785caf4ea0abd9431c6a740f8f2cdb5912f21db.tar.xz
system/xcdroast: Updated for version 0.98alpha16
Diffstat (limited to 'system/xcdroast/xcdroast.SlackBuild')
-rw-r--r--system/xcdroast/xcdroast.SlackBuild56
1 files changed, 27 insertions, 29 deletions
diff --git a/system/xcdroast/xcdroast.SlackBuild b/system/xcdroast/xcdroast.SlackBuild
index a3a1d055502f..9eaee04bc98d 100644
--- a/system/xcdroast/xcdroast.SlackBuild
+++ b/system/xcdroast/xcdroast.SlackBuild
@@ -3,26 +3,28 @@
# Slackware build script for xcdroast
# Written by Georgios Efstathiou gefst@yahoo.com
-
-#Heavily based on original slackware script.
+# Heavily based on original slackware script.
PRGNAM=xcdroast
VERSION=0.98alpha16
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo} # For consistency's sake, use this
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -40,51 +42,47 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Configure flags;
+patch -p0 < $CWD/io_compile.patch
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
- --enable-gtk2
+ --enable-gtk2 \
+ --build=$ARCH-slackware-linux
+
+make XCDRLIB_PREFIX=/usr/lib${LIBDIRSUFFIX}/$PRGNAM
+make XCDRLIB_PREFIX=/usr/lib${LIBDIRSUFFIX}/$PRGNAM install DESTDIR=$PKG
-# Compile the application and install it into the $PKG directory
-make
-make install DESTDIR=$PKG
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/xcdroast.desktop > $PKG/usr/share/applications/xcdroast.desktop
+( cd $PKG/usr/share/pixmaps
+ ln -s ../../lib${LIBDIRSUFFIX}/xcdroast/icons/xcdricon.png xcdroast.png
+)
-# Strip binaries and libraries - this can be done with 'make install-strip'
-# in many source trees, and that's usually acceptable if so, but if not,
-# use this:
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
-# Compress man pages
-# If the man pages are installed to /usr/share/man instead, you'll need to either
-# add the --mandir=/usr/man flag to configure or move them manually after the
-# make install process is run.
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-# Copy program documentation into the package
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a COPYING ChangeLog INSTALL README AUTHORS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog INSTALL README AUTHORS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-#Copy the .desktop file
-mkdir -p $PKG/usr/share/applications
-cp -a ./extra/xcdroast.desktop $PKG/usr/share/applications
-
-
-# Copy the slack-desc
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
-# Make the package
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}